GNU bug report logs - #44559
gnutls 3.6.12 fails to build: FAIL: status-request-revoked

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Christopher Baines <mail@HIDDEN>; dated Tue, 10 Nov 2020 20:50:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 44559 <at> debbugs.gnu.org:


Received: (at 44559) by debbugs.gnu.org; 22 Feb 2021 22:36:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 17:36:44 2021
Received: from localhost ([127.0.0.1]:57872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEJoq-0006rh-2c
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 17:36:44 -0500
Received: from mira.cbaines.net ([212.71.252.8]:45004)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lEJon-0006rZ-Jm
 for 44559 <at> debbugs.gnu.org; Mon, 22 Feb 2021 17:36:42 -0500
Received: from localhost (unknown [IPv6:2a02:8010:68c1:0:8ac0:b4c7:f5c8:7caa])
 by mira.cbaines.net (Postfix) with ESMTPSA id 9CF7827BC48;
 Mon, 22 Feb 2021 22:36:40 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 0d22a822;
 Mon, 22 Feb 2021 22:36:40 +0000 (UTC)
References: <87d00los2d.fsf@HIDDEN>
 <CF6115A8-8536-4087-BC71-F6BC05D74F4F@HIDDEN>
 <87lfbkkr6r.fsf@HIDDEN>
User-agent: mu4e 1.4.14; emacs 27.1
From: Christopher Baines <mail@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#44559:
In-reply-to: <87lfbkkr6r.fsf@HIDDEN>
Date: Mon, 22 Feb 2021 22:36:37 +0000
Message-ID: <875z2jn30q.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 44559
Cc: 44559 <at> debbugs.gnu.org, Mathieu
 Othacehe <othacehe@HIDDEN>, Carl Dong <contact@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Perhaps we could start by testing this hypothesis on a separate build
> farm.  Chris, Mathieu, WDYT?

I'm currently thinking about attempting these kind of things (testing
building derivations under different conditions) through the agent tags
in the Guix Build Coordinator.

I haven't used this functionality yet, but it's mostly implemented. The
idea is that agents have tags, that describe various attributes that are
important (time=3Dnormal, time=3Dfuture, maybe for example), and builds can
also be targeted at specific agents by tagging the builds with those
same tags.

Where I'm going with this is that I'm not sure a separate build farm is
needed, it would be good to just incorperate this in to the build farm
used for testing patches and non-master branches.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKlBAEBCgCPFiEEPonu50WOcg2XVOCyXiijOwuE9XcFAmA0MfVfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcRHG1haWxAY2Jh
aW5lcy5uZXQACgkQXiijOwuE9XfzTA//dDib81Fosmi7ryPzjls5juWaCuIeyDrF
Kmr62mhR6ekqBSSzIpbMPwKdqXRSfVUAGrnHoYrUSmOa4svQzmA/e9pS0qH9dLrT
AOVBDQTROTSIjHHZe4m0aYHvhug8lMxxAzV7hjgh+A5QRtAnuY+BMvmjohyqSMGh
sVizxlurSywEo5z9t4wgmMex6u4jwKL5AUwEJSrDOpdQjGHhjoDsCdPJNsKQ2pn6
U48D1A9nDbo99wQwHK/iOY6iB8H+pMEsJsQ0YCsprAfOZeywVT5xqFcOJJLPjGv6
CwQrKGUiDsFkclwMfNK14jbpAsqY5H3YbrcyuouLqjCT6bafVzxkyK1s8Rp4X+Ex
ehZLH2kcKpxNENAHZ3drKuigY/CnBxtwTQTCmktKFhkX+mklyFVbqYbEktEl+X71
P1MtrNPV0Ogg0ByuR0UHduMa8llNM5Utl+70jsCkgtjRLHFlMokolpbuqGOvQF81
BVUGGs32jjBEJhC0X04Keo1Wib/HioypvAQquPkWnV7VlQW5NkqTnoXMqzH37tXY
WrmPbeaCcjeDk/NUl/+9QtZmIVdqQ0SINxo8Equ3do5UGM3gqR9uxhaopLcvPyDE
FL+70wfmokLkodJQlZeITIWdo1YRURzGF8VXKNi+xvr+i3zoSJPe9+68w79qVZw6
/I5KlhXdU2E=
=IyUw
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44559; Package guix. Full text available.

Message received at 44559 <at> debbugs.gnu.org:


Received: (at 44559) by debbugs.gnu.org; 20 Feb 2021 14:12:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 09:12:14 2021
Received: from localhost ([127.0.0.1]:51304 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDSzW-0002FB-A9
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 09:12:14 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33084)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1lDSzV-0002Ey-8X
 for 44559 <at> debbugs.gnu.org; Sat, 20 Feb 2021 09:12:13 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44198)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lDSzO-00040T-JI; Sat, 20 Feb 2021 09:12:06 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35412 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1lDSzN-0001Wa-85; Sat, 20 Feb 2021 09:12:05 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Detecting =?utf-8?B?4oCcZXhwaXJpbmfigJ0=?= builds
References: <87d00los2d.fsf@HIDDEN>
 <CF6115A8-8536-4087-BC71-F6BC05D74F4F@HIDDEN>
 <87lfbkkr6r.fsf@HIDDEN>
 <5d72d9c66d0e9f70f6ff1fb3b4d08ed530551288.camel@HIDDEN>
 <87v9amj1hn.fsf@HIDDEN>
Date: Sat, 20 Feb 2021 15:12:03 +0100
In-Reply-To: <87v9amj1hn.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Sat, 20 Feb 2021 14:46:28 +0100")
Message-ID: <8735xqj0b0.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44559
Cc: 44559 <at> debbugs.gnu.org, Mathieu Othacehe <othacehe@HIDDEN>,
 Carl Dong <contact@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

It occurred to me that, just like we have childhurds, we could provide a
service that sets up a sub-Guix System running in a VM with its clock
set years ahead, and you would offload to that.  That=E2=80=99s not perfect=
, but
it=E2=80=99s a rather easy addition.

Another option would be to have built-in support in the daemon.  If you
turn on some option, it would transparently run derivation builds in
qemu-user (does that support changing the system date?) or similar, but
that=E2=80=99s more work.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#44559; Package guix. Full text available.

Message received at 44559 <at> debbugs.gnu.org:


Received: (at 44559) by debbugs.gnu.org; 20 Feb 2021 13:46:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 08:46:42 2021
Received: from localhost ([127.0.0.1]:51273 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDSao-0001cS-Gy
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 08:46:42 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1lDSam-0001cF-2G
 for 44559 <at> debbugs.gnu.org; Sat, 20 Feb 2021 08:46:41 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43786)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lDSae-0000kb-4T; Sat, 20 Feb 2021 08:46:33 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35208 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1lDSac-0005tg-AB; Sat, 20 Feb 2021 08:46:30 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#44559:
References: <87d00los2d.fsf@HIDDEN>
 <CF6115A8-8536-4087-BC71-F6BC05D74F4F@HIDDEN>
 <87lfbkkr6r.fsf@HIDDEN>
 <5d72d9c66d0e9f70f6ff1fb3b4d08ed530551288.camel@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 2 =?utf-8?Q?Vent=C3=B4se?= an 229 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sat, 20 Feb 2021 14:46:28 +0100
In-Reply-To: <5d72d9c66d0e9f70f6ff1fb3b4d08ed530551288.camel@HIDDEN>
 (Maxime Devos's message of "Fri, 19 Feb 2021 19:32:34 +0100")
Message-ID: <87v9amj1hn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44559
Cc: 44559 <at> debbugs.gnu.org, Mathieu Othacehe <othacehe@HIDDEN>,
 Carl Dong <contact@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

Maxime Devos <maximedevos@HIDDEN> skribis:

> On Fri, 2021-02-19 at 16:33 +0100, Ludovic Court=C3=A8s wrote:
>> [...]
>> Longer-term, we need to find a way to address or avoid this issue.  A
>> brute-force approach would be to have the build machines at ci.guix run
>> with a clock ten years ahead.  That should generally be fine since the
>> only place where timestamps matter are unmodified upstream tarballs.  In
>> all other cases, mtime is set to 1.
>
> Alternatively, could the build container be adjusted to always begin at
> 1970-01-01, using =E2=80=98time namespaces=E2=80=99?
>
> Linux: https://lwn.net/Articles/766089/

Unfortunately, time namespaces are just for CLOCK_{MONOTONIC,BOOTTIME},
which I think is of little use here:

  https://issues.guix.gnu.org/44559#3

> Also, is there any particular reason to set the clock only ten years ahea=
d,
> and not, say, a millenia or two?  Some possible reasons:
>
> * year 2038,2446 problem: the ext2 and ext4 filesystems have a restricted
>   date range
> * year 2038 problem: https://www.gnu.org/software/hurd/gnumach-doc/Host-I=
nterface.html#Host-Interface
>
>   IMO, the year 2038 problem is a bug and affected packages should simply=
 be fixed.
>   But perhaps reality is a little more complicated.

Yeah, one problem at a time.  :-)

Setting it 10 years ahead would cache the kind of issue we=E2=80=99re talki=
ng
about, while not opening the Y2038 can of worms.  I think we need to try
that out and see how it goes.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#44559; Package guix. Full text available.

Message received at 44559 <at> debbugs.gnu.org:


Received: (at 44559) by debbugs.gnu.org; 19 Feb 2021 23:49:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 19 18:49:29 2021
Received: from localhost ([127.0.0.1]:50640 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDFWa-0001x9-Nu
	for submit <at> debbugs.gnu.org; Fri, 19 Feb 2021 18:49:29 -0500
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:51951)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contact@HIDDEN>) id 1lDFWY-0001wx-Kf
 for 44559 <at> debbugs.gnu.org; Fri, 19 Feb 2021 18:49:27 -0500
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 443C95C00C6;
 Fri, 19 Feb 2021 18:49:21 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Fri, 19 Feb 2021 18:49:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=carldong.me; h=
 content-type:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to; s=fm3; bh=H
 zYBDSuMXvYFJahXH0o+KFIZLmtXBnKeyvNMSxZ2vJ4=; b=Z80SZRt/DNGM3lJGR
 Xe8OkAJiwAMrn3KB2DlWTZIVye/w69+ChWL7qU1BU7H4T3RPAzV88JzhZR6CLkhb
 YoFlw3qum1z7bYJFHcYGGaK9EYxLWxd1ilP0EJGvTRafPRXwnLRFv2mvoprPIV/C
 qqw598gVK4eAI9pEKggniL67hkUeBukvE1/gk1Z061W9A+/ssO0IENpdYsC2TXjO
 7FcjSFgFyBhvjRjLxUhJDXdEOuccughj/v5uxbi20IgCgIL+5VgZiQT1BFd2lnDQ
 luDVYv96Na0a72DQfqLxOsAYC/9vwoSFVLMZv/ZMqhTQGHutc4uAniZA+2WlJ4Cf
 Ydsng==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm2; bh=HzYBDSuMXvYFJahXH0o+KFIZLmtXBnKeyvNMSxZ2v
 J4=; b=eaOb02zhz9MRAdvzXoli/dUgfntSac0wTyafsdBe8XxPRet7sl2t7QI7v
 7tseIEAvIzU0wUB9J115QVVKYxwGkGokIm7qQ2f98LA7pR//Z9PSOuWAVzfPNFF6
 t3O2T5G62RC5uVxdXw28b6ZUGHSCvGfPX7ny3kkzTmpn/9iN1daFn8mvoCBVlK+C
 uGHIn9MIVxYjKuvDm3cCRbC5zu++NUcwmXPvgof1FYsDKY0cyJGONT8QXjsp9Npx
 izuFuwaGKD4ydq6r6Ope9OJFrTPQl89JfU1iSoRsZ4KPmbwxmVMoTaSj/9w2UicF
 B2MCkcpu76Xn8P9miROEvPrd93tQg==
X-ME-Sender: <xms:gE4wYOG0F-qif_eXPtXnoKRWuo86b2bJWsaN30rrrgYyawUWnwIbIQ>
 <xme:gE4wYIqZ87n6d-MpUW_Is7Pxpi_Vmgg5XtvUWieUlLzeDpOKS3JYKf7lTIXxs9KQx
 c1NhA7iDMVm8Nq6gg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrjeejgddugecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpegtggfuhfgjfffgkfhfvffosehtqhhmtdhhtdejnecuhfhrohhmpeevrghrlhcu
 ffhonhhguceotghonhhtrggtthestggrrhhlughonhhgrdhmvgeqnecuggftrfgrthhtvg
 hrnhepieeltdelfffgveeijeetvdehjefgffeljeeiueetleeghfekvdeutdfgleefgeev
 necukfhppeeliedrvdefledrudejrddvgedvnecuvehluhhsthgvrhfuihiivgeptdenuc
 frrghrrghmpehmrghilhhfrhhomheptghonhhtrggtthestggrrhhlughonhhgrdhmvg
X-ME-Proxy: <xmx:gE4wYPYqWKYt2FA18A6q1yerleDrVnbntrQmeiIVOzNRgB7IzSyeYA>
 <xmx:gE4wYJVtG4hKLyNQC4yO_6utWkjwdWWOG-GwVYtb9FezM-OVPBjqqg>
 <xmx:gE4wYA_9heFrza5pytOOXAwrNNUI_wfDhmywQWs2-b5qqe6tKXzSyg>
 <xmx:gU4wYHetIFx4xP8e5XCH6DbjrtjcI6Oj69BDFJGxflRmpo5ExVReKw>
Received: from [192.168.0.6] (pool-96-239-17-242.nycmny.fios.verizon.net
 [96.239.17.242])
 by mail.messagingengine.com (Postfix) with ESMTPA id 9E75F24005A;
 Fri, 19 Feb 2021 18:49:20 -0500 (EST)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.120.23.2.4\))
Subject: Re: bug#44559:
From: Carl Dong <contact@HIDDEN>
In-Reply-To: <87lfbkkr6r.fsf@HIDDEN>
Date: Fri, 19 Feb 2021 18:49:20 -0500
Content-Transfer-Encoding: quoted-printable
Message-Id: <E95315E4-134B-43E0-BE5F-575B69030940@HIDDEN>
References: <87d00los2d.fsf@HIDDEN>
 <CF6115A8-8536-4087-BC71-F6BC05D74F4F@HIDDEN> <87lfbkkr6r.fsf@HIDDEN>
To: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>,
 Maxime Devos <maximedevos@HIDDEN>
X-Mailer: Apple Mail (2.3608.120.23.2.4)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44559
Cc: 44559 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Guix!

Thanks to all of you for your thoughtful replies!

On Feb 19, 2021, at 10:33 AM, Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:
> I agree it=E2=80=99s a problem, and yes, it would probably be a good =
idea to
> release 1.2.1 with the upgraded GnuTLS we now have in =E2=80=98master=E2=
=80=99.
I=E2=80=99m very heartened by your affirmation of the project=E2=80=99s =
support of bootstrappability and building from source. :-)

In addition, I think it would be good to make sure that the package =
transformation options are powerful enough to allow users to sidestep =
these problems in their own workflow and decrease the pressure on =
maintainers.

On Feb 19, 2021, at 10:33 AM, Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:
> =E2=80=98--without-tests=E2=80=99 should work, but you need to pass =
the right version
> number I guess?

Oh! That may be the case. I am using `guix time-machine` however, and =
that does not yet have the `--without-tests` flag, I have opened =
bug#46650 so that we can discuss that issue there.

On Feb 19, 2021, at 1:32 PM, Maxime Devos <maximedevos@HIDDEN> =
wrote:
> Alternatively, could the build container be adjusted to always begin =
at
> 1970-01-01, using =E2=80=98time namespaces=E2=80=99?
Unfortunately, as Ludovic mentioned earlier in this thread, =
time_namespaces(7) is only for CLOCK_MONOTONIC and. CLOCK_BOOTTIME. :-(

Carl Dong
contact@HIDDEN
"I fight for the users"

> On Feb 19, 2021, at 10:33 AM, Ludovic Court=C3=A8s <ludo@HIDDEN> =
wrote:
>=20
> Hi Carl,
>=20
> Carl Dong <contact@HIDDEN> skribis:
>=20
>> As bitcoin core begins the planning to officially transition to =
Guix-based releases, I've had many community members build guix v1.2.0 =
from source and afterward attempt `--bootstrap --no-substitutes` builds. =
As you may imagine, they are getting stuck on this gnutls problem and =
cannot proceed further.
>=20
> Yeah.  :-/
>=20
>> I'm wondering:
>>=20
>> 1. Is there a workaround that does not involve changing the system =
time? We have attempted several flags:
>> 	1. --with-graft=3Dgnutls=3Dgnutls@HIDDEN
>> 	2. --without-tests=3Dgnutls
>> 	3. --with-input=3Dgnutls=3Dgnutls@HIDDEN
>> 	These attempts all failed to work around this bug, and I=E2=80=99m=
 curious as to why that would be. My guess would be that when we do =
`--bootstrap`, Guix bootstraps itself first without taking into account =
these flags?
>=20
> =E2=80=98--without-tests=E2=80=99 should work, but you need to pass =
the right version
> number I guess?
>=20
>> 2. Since bootstrappability is one of the core tenets of Guix, might =
it be appropriate to cut a v1.2.1 release with this problem (and any =
other potential bootstrap problems) fixed? (Happy to discuss in separate =
thread if more appropriate)
>=20
> I agree it=E2=80=99s a problem, and yes, it would probably be a good =
idea to
> release 1.2.1 with the upgraded GnuTLS we now have in =E2=80=98master=E2=
=80=99.
>=20
> Longer-term, we need to find a way to address or avoid this issue.  A
> brute-force approach would be to have the build machines at ci.guix =
run
> with a clock ten years ahead.  That should generally be fine since the
> only place where timestamps matter are unmodified upstream tarballs.  =
In
> all other cases, mtime is set to 1.
>=20
> Perhaps we could start by testing this hypothesis on a separate build
> farm.  Chris, Mathieu, WDYT?
>=20
> Thanks,
> Ludo=E2=80=99.





Information forwarded to bug-guix@HIDDEN:
bug#44559; Package guix. Full text available.

Message received at 44559 <at> debbugs.gnu.org:


Received: (at 44559) by debbugs.gnu.org; 19 Feb 2021 18:32:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 19 13:32:45 2021
Received: from localhost ([127.0.0.1]:50360 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDAa4-0002pU-Oa
	for submit <at> debbugs.gnu.org; Fri, 19 Feb 2021 13:32:44 -0500
Received: from xavier.telenet-ops.be ([195.130.132.52]:40032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1lDAa2-0002pL-BB
 for 44559 <at> debbugs.gnu.org; Fri, 19 Feb 2021 13:32:43 -0500
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by xavier.telenet-ops.be with bizsmtp
 id X6Yg240070mfAB4016YgH2; Fri, 19 Feb 2021 19:32:40 +0100
Message-ID: <5d72d9c66d0e9f70f6ff1fb3b4d08ed530551288.camel@HIDDEN>
Subject: Re: bug#44559:
From: Maxime Devos <maximedevos@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>, Carl Dong
 <contact@HIDDEN>
Date: Fri, 19 Feb 2021 19:32:34 +0100
In-Reply-To: <87lfbkkr6r.fsf@HIDDEN>
References: <87d00los2d.fsf@HIDDEN>
 <CF6115A8-8536-4087-BC71-F6BC05D74F4F@HIDDEN> <87lfbkkr6r.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha256";
 protocol="application/pgp-signature"; boundary="=-ovNYSRPdAh+gWqItCJDv"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1613759560; bh=auyziEZ9ck90/GjIuiq4VzHv4qstiBhljkGdUioV/xU=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=giuVN5v6PBJGHGaGmPB+OG9YfOyujPIR0KEziUNpbShsPlnE1r/QO0lu6gjV27JwC
 1wvDyAimjypBukcNFJeGmmoKZbeA2L/5o3rgqeZ2/XX/rnBhaAfz+JzLQpnrilIGJl
 55LB8aHKZnmiXUYMG+aTdCjUb2cfXlF/TSiLAWchrhh9oKItfhCoSxdNCMqOEwA6BW
 PzDCFNTZnGmuTOQJaJSjjW8jt8bSnullJ35zMlFysvGLYGB4I+b7EevzD1N9c+Q6kK
 XLmNzHIsyuUPjmahBz5FEGEYE7hmJUwaoqDdd/bX0dbd6gv491XOYmEtp94g7YHL1y
 QIABR2bsQdKog==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44559
Cc: 44559 <at> debbugs.gnu.org, Mathieu Othacehe <othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-ovNYSRPdAh+gWqItCJDv
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi Guix,

On Fri, 2021-02-19 at 16:33 +0100, Ludovic Court=C3=A8s wrote:
> [...]
> Longer-term, we need to find a way to address or avoid this issue.  A
> brute-force approach would be to have the build machines at ci.guix run
> with a clock ten years ahead.  That should generally be fine since the
> only place where timestamps matter are unmodified upstream tarballs.  In
> all other cases, mtime is set to 1.

Alternatively, could the build container be adjusted to always begin at
1970-01-01, using =E2=80=98time namespaces=E2=80=99?

Linux: https://lwn.net/Articles/766089/
Hurd analogue: https://www.gnu.org/software/hurd/gnumach-doc/Host-Interface=
.html#Host-Interface

(Of course, someone needs to find the time to write the patches first.  May=
be
I'll have a try at it eventually, but probably not anytime soon.)

Also, is there any particular reason to set the clock only ten years ahead,
and not, say, a millenia or two?  Some possible reasons:

* year 2038,2446 problem: the ext2 and ext4 filesystems have a restricted
  date range
* year 2038 problem: https://www.gnu.org/software/hurd/gnumach-doc/Host-Int=
erface.html#Host-Interface

  IMO, the year 2038 problem is a bug and affected packages should simply b=
e fixed.
  But perhaps reality is a little more complicated.

Greetings,
Maxime

--=-ovNYSRPdAh+gWqItCJDv
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYIADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYDAEQhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7kPYAQCWmod5dnlTmIL1qglgDABubuZz
yIEjBAIK/uHVrA0dZAD+IcBDUvCqH9f1+T99P4Y0RxasGyd4fDOUFWrCI23sNAY=
=dA4d
-----END PGP SIGNATURE-----

--=-ovNYSRPdAh+gWqItCJDv--





Information forwarded to bug-guix@HIDDEN:
bug#44559; Package guix. Full text available.

Message received at 44559 <at> debbugs.gnu.org:


Received: (at 44559) by debbugs.gnu.org; 19 Feb 2021 15:34:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 19 10:34:00 2021
Received: from localhost ([127.0.0.1]:50176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lD7n5-0006tq-SP
	for submit <at> debbugs.gnu.org; Fri, 19 Feb 2021 10:34:00 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1lD7n3-0006td-SU
 for 44559 <at> debbugs.gnu.org; Fri, 19 Feb 2021 10:33:58 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50722)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lD7my-0005vm-HC; Fri, 19 Feb 2021 10:33:52 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=49938 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1lD7mx-0004f5-FF; Fri, 19 Feb 2021 10:33:51 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Carl Dong <contact@HIDDEN>
Subject: Re: bug#44559:
References: <87d00los2d.fsf@HIDDEN>
 <CF6115A8-8536-4087-BC71-F6BC05D74F4F@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 1 =?utf-8?Q?Vent=C3=B4se?= an 229 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 19 Feb 2021 16:33:48 +0100
In-Reply-To: <CF6115A8-8536-4087-BC71-F6BC05D74F4F@HIDDEN> (Carl Dong's
 message of "Tue, 16 Feb 2021 16:00:11 -0500")
Message-ID: <87lfbkkr6r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44559
Cc: 44559 <at> debbugs.gnu.org, Mathieu Othacehe <othacehe@HIDDEN>,
 Christopher Baines <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Carl,

Carl Dong <contact@HIDDEN> skribis:

> As bitcoin core begins the planning to officially transition to Guix-base=
d releases, I've had many community members build guix v1.2.0 from source a=
nd afterward attempt `--bootstrap --no-substitutes` builds. As you may imag=
ine, they are getting stuck on this gnutls problem and cannot proceed furth=
er.

Yeah.  :-/

> I'm wondering:
>
> 1. Is there a workaround that does not involve changing the system time? =
We have attempted several flags:
> 	1. --with-graft=3Dgnutls=3Dgnutls@HIDDEN
> 	2. --without-tests=3Dgnutls
> 	3. --with-input=3Dgnutls=3Dgnutls@HIDDEN
> 	These attempts all failed to work around this bug, and I=E2=80=99m curio=
us as to why that would be. My guess would be that when we do `--bootstrap`=
, Guix bootstraps itself first without taking into account these flags?

=E2=80=98--without-tests=E2=80=99 should work, but you need to pass the rig=
ht version
number I guess?

> 2. Since bootstrappability is one of the core tenets of Guix, might it be=
 appropriate to cut a v1.2.1 release with this problem (and any other poten=
tial bootstrap problems) fixed? (Happy to discuss in separate thread if mor=
e appropriate)

I agree it=E2=80=99s a problem, and yes, it would probably be a good idea to
release 1.2.1 with the upgraded GnuTLS we now have in =E2=80=98master=E2=80=
=99.

Longer-term, we need to find a way to address or avoid this issue.  A
brute-force approach would be to have the build machines at ci.guix run
with a clock ten years ahead.  That should generally be fine since the
only place where timestamps matter are unmodified upstream tarballs.  In
all other cases, mtime is set to 1.

Perhaps we could start by testing this hypothesis on a separate build
farm.  Chris, Mathieu, WDYT?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#44559; Package guix. Full text available.

Message received at 44559 <at> debbugs.gnu.org:


Received: (at 44559) by debbugs.gnu.org; 16 Feb 2021 21:50:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 16 16:50:08 2021
Received: from localhost ([127.0.0.1]:41864 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lC8ER-0007aF-Tc
	for submit <at> debbugs.gnu.org; Tue, 16 Feb 2021 16:50:08 -0500
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:42269)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lC8EQ-0007Zl-IX
 for 44559 <at> debbugs.gnu.org; Tue, 16 Feb 2021 16:50:06 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 4FC945C0176;
 Tue, 16 Feb 2021 16:50:01 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute1.internal (MEProxy); Tue, 16 Feb 2021 16:50:01 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-transfer-encoding:in-reply-to; s=mesmtp;
 bh=TE9JugytokDNedNudZjaKA2h1ydIzalUoU8YOSSy3Ds=; b=l7Z111hlzwkG
 ZqPtUUoCqOTYtftuzio09ZcKMGXlxgpjAGTWhj6RLlsVp1PtcDiwWnoWxe/YofBT
 Vtzc0Oqk4QxfvseqC1kID6U73Lm/zQuJqu2FZkmCcsZhzqRVmaJr9yLIJi3c9Y0D
 5jbXU7Clunt2QX8zRPjlZchazEDHizA=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm2; bh=TE9JugytokDNedNudZjaKA2h1ydIzalUoU8YOSSy3
 Ds=; b=IZufyosEv/eNt2Bvr8rSzBzDgV+lRhlCiMbNBKvOnQsQ6Wo/aVsPGAfVd
 aL+ltzCwcpUmzbLHETc8xq3lOwogyk2Elm/KYED5MbV4okqZIyA++mLKRrnBLOc4
 jabWosZL7o/z1jWxyDMwRkp8EuFpDR1mPZW/oNHUCHuwka9s7AU2GhILVIUKHEsW
 RBZqbJYie08FjD8VaWhAIX486LNyWjD7/aJ9kv3yEyhHBnLTvJSyGNYBPatJ3jYz
 chM9JZdO+sPR7G9xZefHCKc3I8ygQ2XixPckcZMQHGJbPCPUbmG0+8XUmOTzxWH0
 l+SV+urOsG+19tZQT8SOcAu9jM2DA==
X-ME-Sender: <xms:CD4sYEkeEqfDWYbuJWGsVtHQoT9l-I-xGJBVZn63Macp6EtUYGexDg>
 <xme:CD4sYK07Zwa4rHCopryYVyPhhJLCN9y6WLUXMSkfpr3_YSlFWUJxaUy9LXBqj-YQt
 28zMoj5vEIVvx-eLg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrjedtgdduheegucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpeffhffvuffkfhggtggugfgjsehtke
 ertddttdejnecuhfhrohhmpefnvghoucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhl
 rghrihdrnhgrmhgvqeenucggtffrrghtthgvrhhnpeegjeeggeehtddugfffuddtvdfffe
 ffjeekffffveffheegvddvuedtffekjeejjeenucfkphepuddttddruddurdduieelrddu
 udeknecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheplh
 gvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:CD4sYHrk9_C3tVZS2Xx10Ep_C_wSDHWt1VYoQqjiRI7x9Kh6OG5VBA>
 <xmx:CD4sYPfxaZZaTOVm8aeFSoBpm7cYvMZ1abr9SF-6znJLU6uToDMMTg>
 <xmx:CD4sYOoldSlOy_d5vvLJHAU2eAc1Ed4G4Wj1efLEeVAlHgs2LnBUBQ>
 <xmx:CT4sYM0Y4f6YHflnBcyC57Vt4x87PHwwZa5VP5tQbtLbCBZaI_rB0w>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id B0CA7108005C;
 Tue, 16 Feb 2021 16:50:00 -0500 (EST)
Date: Tue, 16 Feb 2021 16:49:58 -0500
From: Leo Famulari <leo@HIDDEN>
To: Carl Dong <contact@HIDDEN>
Subject: Re: bug#44559:
Message-ID: <YCw+Bh1532zjxRRA@HIDDEN>
References: <87d00los2d.fsf@HIDDEN>
 <CF6115A8-8536-4087-BC71-F6BC05D74F4F@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <CF6115A8-8536-4087-BC71-F6BC05D74F4F@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44559
Cc: 44559 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Feb 16, 2021 at 04:00:11PM -0500, Carl Dong wrote:
> Hi all,
> 
> As bitcoin core begins the planning to officially transition to Guix-based releases, I've had many community members build guix v1.2.0 from source and afterward attempt `--bootstrap --no-substitutes` builds. As you may imagine, they are getting stuck on this gnutls problem and cannot proceed further.
> 
> I'm wondering:
> 
> 1. Is there a workaround that does not involve changing the system time? We have attempted several flags:
> 	1. --with-graft=gnutls=gnutls@HIDDEN
> 	2. --without-tests=gnutls
> 	3. --with-input=gnutls=gnutls@HIDDEN
> 	These attempts all failed to work around this bug, and I’m curious as to why that would be. My guess would be that when we do `--bootstrap`, Guix bootstraps itself first without taking into account these flags?
> 
> 2. Since bootstrappability is one of the core tenets of Guix, might it be appropriate to cut a v1.2.1 release with this problem (and any other potential bootstrap problems) fixed? (Happy to discuss in separate thread if more appropriate)

You should see what the Guix maintainers say about this.

My personal opinion is that you should fork Guix your use case. If you
are building from the bootstrap, there is little added cost to making
minor adjustments like disabling this test. You can periodically re-sync
your fork with GNU Guix as convenient. And it's probably more in tune
with your threat model. [0]

This problem of "expiring software" has occurred several times in Guix's
history and I'm sure it will happen again. In general, users are
expected to use substitutes to work around it. They are no worse off
than with traditional binary distros in that case.

[0] Savannah is great but lacking the resources to devote to security.




Information forwarded to bug-guix@HIDDEN:
bug#44559; Package guix. Full text available.

Message received at 44559 <at> debbugs.gnu.org:


Received: (at 44559) by debbugs.gnu.org; 16 Feb 2021 21:00:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 16 16:00:20 2021
Received: from localhost ([127.0.0.1]:41774 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lC7SG-0006L7-Ix
	for submit <at> debbugs.gnu.org; Tue, 16 Feb 2021 16:00:20 -0500
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:45535)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contact@HIDDEN>) id 1lC7SE-0006Ks-HM
 for 44559 <at> debbugs.gnu.org; Tue, 16 Feb 2021 16:00:19 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 67495C82
 for <44559 <at> debbugs.gnu.org>; Tue, 16 Feb 2021 16:00:12 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Tue, 16 Feb 2021 16:00:12 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=carldong.me; h=
 from:content-type:content-transfer-encoding:mime-version:subject
 :message-id:date:to; s=fm3; bh=pdkffQ3f37N2hztbGSh+QHjKGbtQoWOV4
 c1N31zr32c=; b=CWYk8YGpyHGKXu9X+4lYw6d8gQucyz/GgCICQX2PetoniZHaj
 1ezcfNcMA7NwD/tCNGwgno3tKqpTSh/y5NAnEKEJK/G7E/OtKbU9o8tcorEFjCko
 ENtQcauj+fRFIeu6pxR99SGE7paErLylW/7IuH41Zoymqb766PR8pN00CgU+SQhJ
 /XYWCp5TmEdoRLdxwWMwLrfqkAfvTREicx0wOPj+PJ1HZnBL6Tz6czaIODw6Qo/F
 YJLa+pzu6GFL2EOPhgic6gv/er9vlAQ6TArNRgsFZmxndBLOKOoAeRdZ80w/3kFm
 h7vwUu5mbLXXPcXHi5R9HURIMTmTeoZzFlOiQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-transfer-encoding:content-type
 :date:from:message-id:mime-version:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=pdkffQ
 3f37N2hztbGSh+QHjKGbtQoWOV4c1N31zr32c=; b=WiqBp6SyE5pI4fI+f1YHUk
 Nd/t+oS7PX1uZOBDyqzWvu8NZUD33lpnmi7kehN60BoUDcke5baUQQ0vzlmpinpu
 OPf4ds535efBCO58yghPuZQlPqh6fD+RBqzzAg1voDRuVAXle5LhCbD6Wii0nywg
 Ae1n3ueu9e9ytfSW9pe/wI6GVTzT5GU/RMmMOSgoaBwckqEOozoReLxJquZ81Ovf
 bT6QK6DjmWB0mHrj1vLjyEad8dpuAgFY8IPr/99iTapO+zrEjGzXte3QZOE0Pyys
 5th2XQAwDzyF8FtohWNKQeWg3Lx0cOU2Zv69dtJEx3RTCjzi1tdFHcmShb6AkT7Q
 ==
X-ME-Sender: <xms:WzIsYNg3yATfKVgMRgc508SrI9tzUUsqbXF2Z9nDABtxZrDE4GPWOw>
 <xme:WzIsYH_4ezOcU6hKymk2h4zAOb77XLft3iY71Ck4PFlaOlXSThlrZT46nm959YyOt
 GIHhoHUImkOW-oZ2w>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrjedtgddugeefucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhtgfgggfukfffvffosehtqhhmtd
 hhtdejnecuhfhrohhmpeevrghrlhcuffhonhhguceotghonhhtrggtthestggrrhhlugho
 nhhgrdhmvgeqnecuggftrfgrthhtvghrnhepffekvddtgefgfeeuhfekvefhgfeludffud
 dvgeehfeethedugeeuffeuudetleffnecukfhppeeliedrvdefledrudejrddvgedvnecu
 vehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheptghonhhtrg
 gtthestggrrhhlughonhhgrdhmvg
X-ME-Proxy: <xmx:XDIsYKOHjOkyR-GP70GSlghvjjoRQFtlG9HiNbu8OLNDcCm_Jk-CYQ>
 <xmx:XDIsYDA94K9o_Myx6asSjMqhq3DL187UDeAbR_eTdcec64GWXXcJcQ>
 <xmx:XDIsYGN5XW-1ylWH4HILzn2LAKQTllsC_648d1y3Na0QChKiOqJquQ>
 <xmx:XDIsYBV466Bk9ofQI4rOJv6zp0l4Y--z39nCZL7OqZwrqB6fZL2pvQ>
Received: from [192.168.0.6] (pool-96-239-17-242.nycmny.fios.verizon.net
 [96.239.17.242])
 by mail.messagingengine.com (Postfix) with ESMTPA id E22921080068
 for <44559 <at> debbugs.gnu.org>; Tue, 16 Feb 2021 16:00:11 -0500 (EST)
From: Carl Dong <contact@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.120.23.2.4\))
Subject: Re: bug#44559
Message-Id: <CF6115A8-8536-4087-BC71-F6BC05D74F4F@HIDDEN>
Date: Tue, 16 Feb 2021 16:00:11 -0500
To: 44559 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.3608.120.23.2.4)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44559
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi all,

As bitcoin core begins the planning to officially transition to =
Guix-based releases, I've had many community members build guix v1.2.0 =
from source and afterward attempt `--bootstrap --no-substitutes` builds. =
As you may imagine, they are getting stuck on this gnutls problem and =
cannot proceed further.

I'm wondering:

1. Is there a workaround that does not involve changing the system time? =
We have attempted several flags:
	1. --with-graft=3Dgnutls=3Dgnutls@HIDDEN
	2. --without-tests=3Dgnutls
	3. --with-input=3Dgnutls=3Dgnutls@HIDDEN
	These attempts all failed to work around this bug, and I=E2=80=99m=
 curious as to why that would be. My guess would be that when we do =
`--bootstrap`, Guix bootstraps itself first without taking into account =
these flags?

2. Since bootstrappability is one of the core tenets of Guix, might it =
be appropriate to cut a v1.2.1 release with this problem (and any other =
potential bootstrap problems) fixed? (Happy to discuss in separate =
thread if more appropriate)

Cheers,
Carl Dong
contact@HIDDEN
"I fight for the users"





Information forwarded to bug-guix@HIDDEN:
bug#44559; Package guix. Full text available.

Message received at 44559 <at> debbugs.gnu.org:


Received: (at 44559) by debbugs.gnu.org; 31 Dec 2020 00:56:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 30 19:56:13 2020
Received: from localhost ([127.0.0.1]:51548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kumGD-0004PO-Cs
	for submit <at> debbugs.gnu.org; Wed, 30 Dec 2020 19:56:13 -0500
Received: from itsx01.pdp10.guru ([74.207.247.251]:38064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jeremiah@HIDDEN>) id 1kuloB-0003iw-Tb
 for 44559 <at> debbugs.gnu.org; Wed, 30 Dec 2020 19:27:16 -0500
Received: from auennplxrtxfoohp by ITSx01.pdp10.guru with local (Exim 4.92)
 (envelope-from <jeremiah@HIDDEN>) id 1kulo5-0007r8-ML
 for 44559 <at> debbugs.gnu.org; Thu, 31 Dec 2020 00:27:09 +0000
From: jeremiah@HIDDEN
To: 44559 <at> debbugs.gnu.org
Subject: Solution
Date: Thu, 31 Dec 2020 00:27:09 +0000
Message-ID: <87k0syddlu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44559
X-Mailman-Approved-At: Wed, 30 Dec 2020 19:56:12 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I created a procedure to work around the build failure and enable a
successful build:


# when gnutls-3.6.12 build breaks you need to do:
# run the following as root
# turn off networking
ip link set enp0s25 down
# Fixup the time so that the build will succeed
timedatectl set-ntp false
timedatectl set-time '2020-10-01'
# Try to build but it will absolutely fail by lack of source if you
# don't enable networking or because you enable networking.
# But turn on networking when specified below
guix time-machine --commit=94585fffb23079fe71110e2bf99782eb4ccfa12b --
# build --no-grafts --check guile3.0-gnutls
# after it finishes building
# /gnu/store/vhphki5sg9xkdhh2pbc8gi6vhpfzryf0-gnutls-3.6.12.drv
# and starts building
# /gnu/store/akm0wl58avib46g3d9razlfzfgfg8m6m-python-3.8.2.drv...
# but before it begins building
# /gnu/store/bja7gqzxr62a0akid0rpzmynzy78nkwg-zstd-1.4.4.tar.gz.drv.
# Fix the time and turn on networking as it has additional things to
# download.
# specifically
# https://github.com/facebook/zstd/releases/download/v1.4.4/zstd-1.4.4.tar.gz
# and substitutes for some reason
# failing to do so will result in you needing to repeat the above steps
# again.
timedatectl set-time '$current_date'
timedatectl set-ntp true
# turn on networking
ip link set enp0s25 up
# it'll fail building because the time is current again
# But that is fine, we now will not need networking for this build cycle
# and thus the altered time will be fine and the build will be
# successful this time
# turn off networking
ip link set enp0s25 down
# Fixup the time so that the build will succeed
timedatectl set-ntp false
timedatectl set-time '2020-10-01'
#guix build gnutls@HIDDEN finally
guix time-machine --commit=94585fffb23079fe71110e2bf99782eb4ccfa12b --
# build --no-grafts --check guile3.0-gnutls
# wait until it completes.
# Then we can put the system back in a working state
timedatectl set-time '$current_date'
timedatectl set-ntp true
# turn on networking
ip link set enp0s25 up





Information forwarded to bug-guix@HIDDEN:
bug#44559; Package guix. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 44559 <at> debbugs.gnu.org:


Received: (at 44559) by debbugs.gnu.org; 15 Nov 2020 11:06:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 15 06:06:10 2020
Received: from localhost ([127.0.0.1]:52608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1keFrG-0005Rr-6y
	for submit <at> debbugs.gnu.org; Sun, 15 Nov 2020 06:06:10 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1keFrD-0005Rc-Sy
 for 44559 <at> debbugs.gnu.org; Sun, 15 Nov 2020 06:06:08 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41579)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1keFr8-00062X-8P; Sun, 15 Nov 2020 06:06:02 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=42214 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1keFqt-000162-MA; Sun, 15 Nov 2020 06:05:58 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Marius Bakke <marius@HIDDEN>
Subject: Re: bug#44559: gnutls 3.6.12 fails to build: FAIL:
 status-request-revoked
References: <87d00los2d.fsf@HIDDEN> <87v9eaffpa.fsf@HIDDEN>
 <87zh3mb7fr.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 25 Brumaire an 229 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 15 Nov 2020 12:05:43 +0100
In-Reply-To: <87zh3mb7fr.fsf@HIDDEN> (Marius Bakke's message of "Thu, 12 Nov
 2020 22:18:16 +0100")
Message-ID: <87zh3iani0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44559
Cc: 44559 <at> debbugs.gnu.org, Christopher Baines <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Marius Bakke <marius@HIDDEN> skribis:

> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>
>> The question for us becomes how to ensure long-term reproducibility in
>> the presence of such bugs.
>>
>> In this case, I think the only solution would be to change the system
>> clock when one rebuilds GnuTLS (or to use =E2=80=98--without-tests=3Dgnu=
tls=E2=80=99, but
>> you end up with different derivations, which is not necessarily
>> desirable).
>>
>> Thoughts?
>
> There is a related bug report here:
>
>   https://issues.guix.gnu.org/39310
>
> Perhaps we could make a "--with-system-clock" option for 'guix build'
> that instructs the daemon to fake the system time?

How would it fake it though?

There are time_namespaces(7), but it=E2=80=99s only for CLOCK_MONOTONIC and
CLOCK_BOOTTIME.

LD_PRELOAD like =E2=80=98datefudge=E2=80=99 does is probably not a viable o=
ption.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#44559; Package guix. Full text available.

Message received at 44559 <at> debbugs.gnu.org:


Received: (at 44559) by debbugs.gnu.org; 12 Nov 2020 21:18:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 12 16:18:25 2020
Received: from localhost ([127.0.0.1]:45786 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdJz7-0008Hm-GC
	for submit <at> debbugs.gnu.org; Thu, 12 Nov 2020 16:18:25 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55168)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marius@HIDDEN>) id 1kdJz6-0008HW-69
 for 44559 <at> debbugs.gnu.org; Thu, 12 Nov 2020 16:18:24 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60912)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <marius@HIDDEN>)
 id 1kdJz0-0008U8-Uo; Thu, 12 Nov 2020 16:18:18 -0500
Received: from host-37-191-236-253.lynet.no ([37.191.236.253]:39570
 helo=localhost)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <marius@HIDDEN>)
 id 1kdJz0-0004U6-DJ; Thu, 12 Nov 2020 16:18:18 -0500
From: Marius Bakke <marius@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, Christopher Baines
 <mail@HIDDEN>
Subject: Re: bug#44559: gnutls 3.6.12 fails to build: FAIL:
 status-request-revoked
In-Reply-To: <87v9eaffpa.fsf@HIDDEN>
References: <87d00los2d.fsf@HIDDEN> <87v9eaffpa.fsf@HIDDEN>
Date: Thu, 12 Nov 2020 22:18:16 +0100
Message-ID: <87zh3mb7fr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44559
Cc: 44559 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> The question for us becomes how to ensure long-term reproducibility in
> the presence of such bugs.
>
> In this case, I think the only solution would be to change the system
> clock when one rebuilds GnuTLS (or to use =E2=80=98--without-tests=3Dgnut=
ls=E2=80=99, but
> you end up with different derivations, which is not necessarily
> desirable).
>
> Thoughts?

There is a related bug report here:

  https://issues.guix.gnu.org/39310

Perhaps we could make a "--with-system-clock" option for 'guix build'
that instructs the daemon to fake the system time?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFDBAEBCgAtFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl+tppgPHG1hcml1c0Bn
bnUub3JnAAoJEKKgbfKjOlT6SZUH/2JQce28Rehio2Dk1QbAXM2/8Peo8xhfOnA8
NYzJuUkjaqf8LNEs7uB/4zGsJ51IHznTqLecuqdjO+g6zEpzzNrdXmvVqv9A2Xcy
GGa+ci5hUVKErrG+KGTQEiEtkRUjkzBKGZKv2jc4MpnXJgsDl0qidIZIOi/JmuC1
vtSTVM09dG8pj79MefTFKuJtRv0xEpXNRiaJNOjHO5jiThimoiKl15XtSgexPgU0
mzv9MV2Po3QRbhc/EE49P/oxuJqjmwFSPdCwL/0YlNEemr2bQx18ps6H9y9Hmg7W
5awKGRn0vAK5I45i0jyJyVWHk0a90lEIJSLwJF4Pul2CmpJsVm0=
=g9FH
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44559; Package guix. Full text available.

Message received at 44559 <at> debbugs.gnu.org:


Received: (at 44559) by debbugs.gnu.org; 12 Nov 2020 21:06:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 12 16:06:32 2020
Received: from localhost ([127.0.0.1]:45762 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdJnc-0007zM-Ec
	for submit <at> debbugs.gnu.org; Thu, 12 Nov 2020 16:06:32 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1kdJnY-0007z7-Mo
 for 44559 <at> debbugs.gnu.org; Thu, 12 Nov 2020 16:06:30 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60534)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1kdJnT-0006wN-2p; Thu, 12 Nov 2020 16:06:23 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=58544 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1kdJnH-0003Tt-Md; Thu, 12 Nov 2020 16:06:22 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Christopher Baines <mail@HIDDEN>
Subject: Re: bug#44559: gnutls 3.6.12 fails to build: FAIL:
 status-request-revoked
References: <87d00los2d.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 22 Brumaire an 229 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 12 Nov 2020 22:06:09 +0100
In-Reply-To: <87d00los2d.fsf@HIDDEN> (Christopher Baines's message of
 "Tue, 10 Nov 2020 20:49:46 +0000")
Message-ID: <87v9eaffpa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44559
Cc: 44559 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Christopher Baines <mail@HIDDEN> skribis:

> I found this when trying to build guile3.0-gnutls:
>
>   guix time-machine --commit=3D94585fffb23079fe71110e2bf99782eb4ccfa12b -=
- build --no-grafts --check guile3.0-gnutls
>=20=20=20
>
> FAIL: status-request-revoked
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D
>
> trying NORMAL:-VERS-ALL:+VERS-TLS1.2
> received status request
> received status request
> cert_verify_callback:263: certificate verify status doesn't match: 100402=
 !=3D 22FAIL status-request-revoked (exit status: 1)

This was fixed upstream between 3.6.12 and 3.6.14 with this patch by
Bernhard (it=E2=80=99s a small world!):

--8<---------------cut here---------------start------------->8---
commit ed208fe55f31478732fd6cc394f9576b315a42cd
Author: Bernhard M. Wiedemann <bwiedemann@HIDDEN>
Date:   Sun Apr 5 15:09:57 2020 +0200

    tests: Fix status-request-revoked after 2020-10-24
=20=20=20=20
    included certs expire 2020-10-24 so this test fails after that date.
=20=20=20=20
    Fixes #967
=20=20=20=20
    This patch was done while working on reproducible builds for openSUSE.
=20=20=20=20
    Signed-off-by: Bernhard M. Wiedemann <bwiedemann@HIDDEN>
--8<---------------cut here---------------end--------------->8---

The question for us becomes how to ensure long-term reproducibility in
the presence of such bugs.

In this case, I think the only solution would be to change the system
clock when one rebuilds GnuTLS (or to use =E2=80=98--without-tests=3Dgnutls=
=E2=80=99, but
you end up with different derivations, which is not necessarily
desirable).

Thoughts?

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#44559; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Nov 2020 20:49:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 10 15:49:59 2020
Received: from localhost ([127.0.0.1]:39088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kcaaV-0005ei-8g
	for submit <at> debbugs.gnu.org; Tue, 10 Nov 2020 15:49:59 -0500
Received: from lists.gnu.org ([209.51.188.17]:35650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kcaaU-0005ea-CK
 for submit <at> debbugs.gnu.org; Tue, 10 Nov 2020 15:49:58 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:43242)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1kcaaU-0003Ye-4q
 for bug-guix@HIDDEN; Tue, 10 Nov 2020 15:49:58 -0500
Received: from mira.cbaines.net
 ([2a01:7e00:e000:2f8:fd4d:b5c7:13fb:3d27]:54923)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mail@HIDDEN>) id 1kcaaS-00022d-I3
 for bug-guix@HIDDEN; Tue, 10 Nov 2020 15:49:57 -0500
Received: from localhost (188.28.119.85.threembb.co.uk [188.28.119.85])
 by mira.cbaines.net (Postfix) with ESMTPSA id 295F427BBF6
 for <bug-guix@HIDDEN>; Tue, 10 Nov 2020 20:49:54 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id fac78429
 for <bug-guix@HIDDEN>; Tue, 10 Nov 2020 20:49:51 +0000 (UTC)
User-agent: mu4e 1.4.13; emacs 27.1
From: Christopher Baines <mail@HIDDEN>
To: bug-guix@HIDDEN
Subject: gnutls 3.6.12 fails to build: FAIL: status-request-revoked
Date: Tue, 10 Nov 2020 20:49:46 +0000
Message-ID: <87d00los2d.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a01:7e00:e000:2f8:fd4d:b5c7:13fb:3d27;
 envelope-from=mail@HIDDEN; helo=mira.cbaines.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/10 15:49:54
X-ACL-Warn: Detected OS   = ???
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable


I found this when trying to build guile3.0-gnutls:

  guix time-machine --commit=3D94585fffb23079fe71110e2bf99782eb4ccfa12b -- =
build --no-grafts --check guile3.0-gnutls
=20=20

FAIL: status-request-revoked
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D

trying NORMAL:-VERS-ALL:+VERS-TLS1.2
received status request
received status request
cert_verify_callback:263: certificate verify status doesn't match: 100402 !=
=3D 22FAIL status-request-revoked (exit status: 1)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKlBAEBCgCPFiEEPonu50WOcg2XVOCyXiijOwuE9XcFAl+q/OpfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcRHG1haWxAY2Jh
aW5lcy5uZXQACgkQXiijOwuE9Xd51BAAinwaFsmiRFUPttJP9RutzROS0rh7e8yL
83pkM//kJoP+KDqfRNJ3eRz7sHwiWD5hbdn/Yyi4a0sAwKgHNuJhvU5ijWBLOzWJ
0sFk0QrDZfeejamtYikssHasYJfwXm9gE2SzQJJq1E6SxsMcfjbpwsmw0Pl2K2LI
ptg7H3wMaj9ooLxVMVNfswSAGpka1fdpWIYIElgU8fqJ3uSOhMizpiSzpgh73FXa
dqntLA7/5Bzuk4h6C71TfNRQIJbqeT27SB5fnacUl5faSa7oyqyGF899+iDyvVnC
Vek6YqzvDLIaVdZrBVs1jkCeUY0LWOStK6/36n++ZPaj26aV1V2yxLztzj77ARZ5
S4K9p4ccq780SMT4QiJSgFMnpyr3bga/Wl/WmNGABgaVfzTU68LfPhV+Td4QTvOc
RX5kgfZ68+lZ5oVTWD5DwTs3ZRh+IS3MBul3qA4Y56DDc80QrVeWKheDxbVaB5Vh
ya+OP+Pr8b9qJjzUvhO8HGj/ilp8XzgGySCLmS7Px0xVzEELIuqgqqCgNYCH820D
aFgctowjhLF7whaPZs+aDuDj8mXV+ATnEJLKDRtO4d8dmIy6bE9E8fupEu4u2HtU
8Y3xthQboMoYUUM39fLg73W3pY6XdJBYbPlxavnruijlyJ45awYL//q4uLNgBbKm
uJsXQF4C9lI=
=PIzS
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Christopher Baines <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#44559; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 22 Feb 2021 22:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.